Package csb :: Package bio :: Package structure :: Class TorsionAngles

[frames] | no frames]

# Class TorsionAngles

source code

    object --+
             |
            TorsionAngles

Describes a collection of phi, psi and omega backbone torsion angles.

It is assumed that the supplied values are either None, or fitting into the range of [-180, +180] for AngleUnites.Degrees and [0, 2pi] for Radians.

Instance Methods

__bool__(self) | source code

__init__(self, phi, psi, omega, units=Degrees) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__nonzero__(self) | source code

__repr__(self) repr(x) | source code

copy(self) Returns: a deep copy of `self` | source code

to_degrees(self) Set angle measurement units to degrees. | source code

to_radians(self) Set angle measurement units to radians. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

check_angle(angle, units) Check the value of a torsion angle expressed in the specified units. | source code

deg(angle) Convert a torsion angle value, expressed in radians, to degrees. | source code

rad(angle) Convert a torsion angle value, expressed in degrees, to radians. | source code

Properties
| omega
| phi
| psi
enum item | units Current torsion angle units - a member of AngleUnits
Inherited from `object`: `__class__`

Method Details

### __init__(self, phi, psi, omega, units=Degrees)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `phi` (float) - phi angle value in `units`
  - `psi` (float) - psi angle value in `units`
  - `omega` (float) - omega angle value in `units`
  - `units` (csb.core.EnumItem) - any of AngleUnits's enum members
Raises:
  - `ValueError` - on invalid/unknown units
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### copy(self)

source code

Returns:
  a deep copy of `self`

### deg(angle)
Static Method

source code

Convert a torsion angle value, expressed in radians, to degrees. Negative angles are not accepted, it is assumed that negative torsion angles have been converted to their ang+2pi counterparts beforehand.

Return the calculated value in the range of [-180, +180] degrees.

### rad(angle)
Static Method

source code

Convert a torsion angle value, expressed in degrees, to radians. Negative angles are converted to their positive counterparts: rad(ang + 360deg).

Return the calculated value in the range of [0, 2pi] radians.

### to_degrees(self)

source code

Set angle measurement units to degrees. Convert the angles in this TorsionAngles instance to degrees.

### to_radians(self)

source code

Set angle measurement units to radians. Convert the angles in this TorsionAngles instance to radians.

Property Details

### omega

Get Method:
  unreachable.omega(self)
Set Method:
  unreachable.omega(self, omega)

### phi

Get Method:
  unreachable.phi(self)
Set Method:
  unreachable.phi(self, phi)

### psi

Get Method:
  unreachable.psi(self)
Set Method:
  unreachable.psi(self, psi)

### units

Current torsion angle units - a member of AngleUnits

Get Method:
  unreachable.units(self) - Current torsion angle units - a member of AngleUnits
Type:
  enum item